资源中心/云资源池/云盘相关接口
PUTVolume Operations起始版本 0.6同步需要认证
修改云盘属性
修改云盘属性
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
uuidString必填云盘的UUID,唯一标示该资源
请求体字段
updatevolumeObject必填updatevolume 请求体结构
nameString云盘名称
descriptionString云盘的详细描述
systemTagsList系统标签
userTagsList用户标签
响应状态
请求地址
PUT/zstack/v1/volumes/{uuid}/actions
/zstack/v1/volumes/{uuid}/actions
请求示例
curl -X PUT 'http://{host}/zstack/v1/volumes/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatevolume":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "uuid": "31ae1f16a1774ead98a84432e08e438c", "name": "test-volume", "primaryStorageUuid": "dafbef4c002b4bf49ac63a2e0cf8c616", "vmInstanceUuid": "417e81050f424bf88b515c2bbc3e9d24", "diskOfferingUuid": "80b0f3edaa2f4c0284240d16aebf8da4", "rootImageUuid": "edb9e2aa51c5489db12a7073daa6c878", "installPath": "/Cloud_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-31ae1f16a1774ead98a84432e08e438c/31ae1f16a1774ead98a84432e08e438c.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Jun 7, 2017 9:20:28 PM", "lastOpDate": "Jun 7, 2017 9:20:28 PM" } }变更历史
此 API 暂无变更历史记录。
